Drop iconv which is deprecated and only needed for ruby 1.8 support